"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Meta = void 0;
class Meta {
    get meta() {
        return this._meta;
    }
    /**
     * Add some meta data to your object
     * @param meta The data to add
     */
    setMeta(meta) {
        this._meta = meta;
        return this;
    }
    /**
     * Get the meta data as a specific type
     */
    getMeta() {
        return this.meta;
    }
}
exports.Meta = Meta;
//# sourceMappingURL=Meta.js.map