import { GQLElement, ResolveFunction } from "../..";
export declare class Middleware extends GQLElement<ResolveFunction> {
    private _function;
    get function(): any;
    /**
     * Set the function of your middleware
     * @param fn The middleware function
     */
    setFunction(fn: ResolveFunction): void;
    protected constructor(fn: ResolveFunction, name?: string);
    static create(fn: ResolveFunction, name?: string): Middleware;
}
