"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotNullableType = exports.NotNullable = void 0;
/**
 * Create a nullable type from an existing one
 * @param type The type to convert
 */
function NotNullable(type) {
    return new NotNullableType(type);
}
exports.NotNullable = NotNullable;
class NotNullableType {
    constructor(type) {
        this._type = type;
    }
    get type() {
        return this._type;
    }
}
exports.NotNullableType = NotNullableType;
//# sourceMappingURL=NotNullable.js.map