export declare class Meta<MetaType = any> {
    protected _meta?: MetaType;
    get meta(): MetaType;
    /**
     * Add some meta data to your object
     * @param meta The data to add
     */
    setMeta(meta: MetaType): this;
    /**
     * Get the meta data as a specific type
     */
    getMeta<TMetaType = any>(): TMetaType;
}
